Debian Bug report logs - #615210
Uses deprecated HAL

version graph

Package: ntfs-config; Maintainer for ntfs-config is Debian QA Group <packages@qa.debian.org>; Source for ntfs-config is src:ntfs-config.

Reported by: Michael Biebl <biebl@debian.org>

Date: Sat, 26 Feb 2011 11:36:21 UTC

Severity: important

Found in version ntfs-config/1.0.1-9

Fixed in version ntfs-config/1.0.1-10

Done: Alexander Reichle-Schmehl <tolimar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ivan Borzenkov <ivan1986@list.ru>:
Bug#615210; Package ntfs-config. (Sat, 26 Feb 2011 11:36:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to Ivan Borzenkov <ivan1986@list.ru>. (Sat, 26 Feb 2011 11:36:24 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Uses deprecated HAL
Date: Sat, 26 Feb 2011 12:34:27 +0100
Package: ntfs-config
Version: 1.0.1-9
Severity: important
User: pkg-utopia-maintainers@lists.alioth.debian.org
Usertags: halectomy

Hi,

HAL has been deprecated and declared dead upstream so we want to
get rid of it eventually in Debian [1].

ntfs-config has a build dependency on libhal-dev and libhal-storage-dev,
so it would ftbfs once hal is removed.
I can't find in the source why that build dependency is necessary.

As ntfs-3g ships a /sbin/mount.ntfs symlink nowadays, mounting ntfs
volumes will automatically prefer ntfs-3g, so I'm wondering if ntfs-3g
is actually still useful today or if we should consider removing it.

Regards,
Michael

[1] http://wiki.debian.org/HALRemoval


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.37-1-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Ivan Borzenkov <ivan1986@list.ru>:
Bug#615210; Package ntfs-config. (Wed, 21 Dec 2011 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Ivan Borzenkov <ivan1986@list.ru>. (Wed, 21 Dec 2011 09:48:10 GMT) Full text and rfc822 format available.

Message #10 received at 615210@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Michael Biebl <biebl@debian.org>, 615210@bugs.debian.org
Subject: Re: Bug#615210: Uses deprecated HAL
Date: Wed, 21 Dec 2011 10:45:09 +0100
Hi!

* Michael Biebl <biebl@debian.org> [110226 12:34]:

> ntfs-config has a build dependency on libhal-dev and libhal-storage-dev,
> so it would ftbfs once hal is removed.
> I can't find in the source why that build dependency is necessary.

Yes, I just checked, and ntfs-config builds fine without these
build-dependencies.  I also tested in a virutal machine, that
ntfs-config still runs, no idea, why these build-depends where
introduced.


> As ntfs-3g ships a /sbin/mount.ntfs symlink nowadays, mounting ntfs
> volumes will automatically prefer ntfs-3g, so I'm wondering if ntfs-3g
> is actually still useful today or if we should consider removing it.

I disagree.  While this package has indeed limited use, there is still
one usecase:  Having a GUI to add ntfs-partitions to your fstab.
Granted, it's a quite limited use case, but according to popcon there is
some userbase available.  So I guess I'll prepare a QA upload droping
said build-dependencies.


Best Regards,
  Alexander




Reply sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
You have taken responsibility. (Wed, 21 Dec 2011 12:09:24 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Wed, 21 Dec 2011 12:09:45 GMT) Full text and rfc822 format available.

Message #15 received at 615210-close@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: 615210-close@bugs.debian.org
Subject: Bug#615210: fixed in ntfs-config 1.0.1-10
Date: Wed, 21 Dec 2011 12:02:10 +0000
Source: ntfs-config
Source-Version: 1.0.1-10

We believe that the bug you reported is fixed in the latest version of
ntfs-config, which is due to be installed in the Debian FTP archive:

ntfs-config_1.0.1-10.debian.tar.gz
  to main/n/ntfs-config/ntfs-config_1.0.1-10.debian.tar.gz
ntfs-config_1.0.1-10.dsc
  to main/n/ntfs-config/ntfs-config_1.0.1-10.dsc
ntfs-config_1.0.1-10_amd64.deb
  to main/n/ntfs-config/ntfs-config_1.0.1-10_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 615210@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl <tolimar@debian.org> (supplier of updated ntfs-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 21 Dec 2011 10:45:50 +0100
Source: ntfs-config
Binary: ntfs-config
Architecture: source amd64
Version: 1.0.1-10
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Alexander Reichle-Schmehl <tolimar@debian.org>
Description: 
 ntfs-config - Enable/disable write support for any NTFS devices
Closes: 573348 596782 615210
Changes: 
 ntfs-config (1.0.1-10) unstable; urgency=low
 .
   * QA upload.
   * Set maintainer to the QA group
   * ntfs-config doesn't support kfreebsd-*, yet. Limiting architectures to
     linux-any.  For details please see #651296.
   * Drop build-depends on libhal-dev and libhal-storage-dev, as they are
     not needed (Closes: #615210)
   * Ship emtpy directory /etc/hal/fdi/policy; ntfs-config tries to add
     config files there, if available (but also works, if hal is not used)
     (Closes: #596782, #573348)
   * Call dh_python2 instead of dh_python as suggested by lintian
   * Bump standards to 3.9.2 (no further changes needed)
Checksums-Sha1: 
 ba2a1a8175d737f653500aab4ff30d748808fb2b 1896 ntfs-config_1.0.1-10.dsc
 a6104fd4afdb03bafcfcc8cd05183cab41fd4c7a 11877 ntfs-config_1.0.1-10.debian.tar.gz
 35001f0271a239b00706333a0ef70beade55d0c9 105536 ntfs-config_1.0.1-10_amd64.deb
Checksums-Sha256: 
 6e04cca5faca6048fcb69071bf37477891bc52204a57f32d727249f1c436bae9 1896 ntfs-config_1.0.1-10.dsc
 ba8d5a48ca06422f1d71ffa5841afd722c34963481189cd2be1e794966fdbc77 11877 ntfs-config_1.0.1-10.debian.tar.gz
 c82fa17fbbfbb1691d3dbee5c305324ab537d8de9f3a0d9957dc2f1f52d9eaee 105536 ntfs-config_1.0.1-10_amd64.deb
Files: 
 6b8e970e47156f649377fbf30224801e 1896 admin optional ntfs-config_1.0.1-10.dsc
 2568dff0138119dabfa02d4c725dab23 11877 admin optional ntfs-config_1.0.1-10.debian.tar.gz
 9da82e992710346012eea62656d34535 105536 admin optional ntfs-config_1.0.1-10_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJO8cgnAAoJEMJLZaJnLIsSfocQAJyclueSB2mky37TvKi3D+CX
LPPRMLDHHLWRo4qcHFE/qQlVnddbWLVmyWHSL+TF9NurJPlVWZQQt2mhFINle50S
T38Ai1zc8RyIXTJOJmO5nsUnlL9XhgVgbV8PLS9SjGUd97eigLWkr/6JCmsbixay
V1EX2O68ZQZphVNZE3Ila1qhbSBDNY5UbohllLu4S4meimltfdMnNzzhHeAMrB7/
VeCfJ3DMyMP2a8pCSfRq5iN58ILc56np03p6UILmkkL6WCetO1OlkHEyxaket39R
SitnIHhdwdD/zgtaeWaQtRyvmPT++inEwXNHd9nenwvHACmrvkMYgaPnOsO/gqAN
elrRcdTWy3OEvh3fCBC1P/4XTkGwgkAjNlq5ZW0avAmBVghoZPRWZYz/fWC+4q3a
bSdXjh98Y8fWAnZrNNhq+w8zI6MeUJ0aJ+S4nePJV2kVjUVBTN78eaL/J7iE7epJ
4GnmuYhmbNCr8/+MmlOXTuoTcvGg+PqIRCyTqkLQkJt2cuKHFSkHwOw88xbNvEni
E/NKk62UpN/ZDRdjNKN/fO1RBG/qgG4K9J+UC8gvYMk0f0cIBLoImt40pwgFhyIh
256a4FhUEW3YD6Viv4P474+z+jnanR85opguAKCDAbD7GDcTfM96vgIuK2GcM9mn
SdQlfZrEBpRXwvutSj/f
=A3xh
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Mar 2012 07:32:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:45:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.